Subject: bug#53210: [WIP PATCH 1/4] gnu: ci: Move generic channel building code.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 14 Feb 2022 18:12:10 +0100

Josselin Poiret <[email-masked]> skribis:

> * gnu/ci.scm (channel-build-system): Move to guix/channels.scm.
> (channel-source->package): Move to
> gnu/packages/package-management.scm.
> * guix/channels.scm (channel-build-system): Moved from gnu/ci.scm.
> * gnu/packages/package-management.scm (channel-source->package): Moved
> from gnu/ci.scm.
> * etc/system-tests.scm: Use module (gnu packages package-management)
> instead of (gnu ci).

How about making it (guix build-system channel), to be consistent with
other build systems?